Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## echopointng.command
Class CssStyleRemove

    java.lang.Object
      echopointng.command.CssStyleRemove

All Implemented Interfaces:
  Command, RenderIdSupport

    public class CssStyleRemove

extends java.lang.Object
implements Command, RenderIdSupport

`CssStyleRemove` is used to remove styles that were previously added using the `CssStyleAdd` and `CssStyleSheetAdd` commands.

You must provide the renderId of the previous CSS Command in order for this to work.

Constructor Summary
`CssStyleRemove(java.lang.String previousCommandId)` Constructs a `CssStyleRemove` Command with the render id of a previous `CssStyleAdd` and `CssStyleSheetAdd` command.

Method Summary
`java.lang.String` | `getRenderId()` Returns an identifier that is unique within the `ApplicationInstance` with which the implementor will be used.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### CssStyleRemove

    public CssStyleRemove(java.lang.String previousCommandId)

  Constructs a `CssStyleRemove` Command with the render id of a previous `CssStyleAdd` and `CssStyleSheetAdd` command.

  Parameters:
    `previousCommandId` - - the render id of a previous `CssStyleAdd` and `CssStyleSheetAdd` command.

Method Detail

### getRenderId

    public java.lang.String getRenderId()

  Description copied from interface: `RenderIdSupport`
  Returns an identifier that is unique within the `ApplicationInstance` with which the implementor will be used.

  Specified by:
    `getRenderId` in interface `RenderIdSupport`
  See Also:
    `RenderIdSupport.getRenderId()`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD